> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vaults.fyi/llms.txt
> Use this file to discover all available pages before exploring further.

# List fixed-term Pendle markets

> Returns eligible active Pendle PT markets with current Fixed APY, expiry, TVL, and liquidity.



## OpenAPI

````yaml https://api.vaults.fyi/beta/documentation/json get /beta/fixed-term/
openapi: 3.0.3
info:
  title: Vaults.fyi Beta API
  version: 0.1.0
  description: >-
    Beta API endpoints for features in testing. These endpoints are not included
    in the main API documentation and may change without notice.
servers:
  - url: https://api.vaults.fyi
    description: Vaults.fyi Beta API
security: []
tags:
  - name: Borrow Markets
  - name: The Deep
  - name: Fixed Term (Pendle)
  - name: Portfolio
  - name: SVM
  - name: Advanced Analytics
paths:
  /beta/fixed-term/:
    get:
      tags:
        - Fixed Term (Pendle)
      summary: List fixed-term Pendle markets
      description: >-
        Returns eligible active Pendle PT markets with current Fixed APY,
        expiry, TVL, and liquidity.
      operationId: listFixedTermMarkets
      parameters:
        - schema:
            type: integer
            minimum: 0
            default: 0
          in: query
          name: page
          required: false
          description: Page number (starting from 0)
        - schema:
            type: integer
            exclusiveMinimum: true
            minimum: 0
            maximum: 5000
            default: 50
          in: query
          name: perPage
          required: false
          description: Number of items per page
        - schema:
            type: array
            items:
              type: string
              minLength: 1
          in: query
          name: allowedAssets
          required: false
          description: Assets to be included by symbol(ticker).
        - schema:
            type: array
            items:
              type: string
              minLength: 1
          in: query
          name: disallowedAssets
          required: false
          description: >-
            Assets to be excluded by symbol(ticker). The parameter is ignored if
            "allowedAssets" is specified.
        - schema:
            type: array
            items:
              type: string
              minLength: 1
          in: query
          name: allowedProtocols
          required: false
          description: Protocols to be included by protocol ID or name.
        - schema:
            type: array
            items:
              type: string
              minLength: 1
          in: query
          name: disallowedProtocols
          required: false
          description: >-
            Protocols to be excluded by protocol ID or name. The parameter is
            ignored if "allowedProtocols" is specified.
        - schema:
            type: integer
            minimum: 0
            default: 100000
          in: query
          name: minTvl
          required: false
          description: Minimum TVL in USD of the vaults to be included
        - schema:
            type: string
          in: query
          name: search
          required: false
        - schema:
            type: string
            enum:
              - tvl
              - fixedApy
              - liquidity
              - expiry
            default: tvl
          in: query
          name: sortBy
          required: false
        - schema:
            type: string
            enum:
              - asc
              - desc
            default: desc
          in: query
          name: sortOrder
          required: false
          description: Sort order, either asc or desc. Ascending is default.
        - schema:
            type: array
            items:
              type: string
              enum:
                - mainnet
                - optimism
                - arbitrum
                - polygon
                - gnosis
                - base
                - unichain
                - swellchain
                - celo
                - worldchain
                - berachain
                - ink
                - bsc
                - hyperliquid
                - plasma
                - avalanche
                - katana
                - linea
                - mega-eth
                - monad
                - etherlink
                - robinhood
                - eip155:1
                - eip155:10
                - eip155:42161
                - eip155:137
                - eip155:100
                - eip155:8453
                - eip155:130
                - eip155:1923
                - eip155:42220
                - eip155:480
                - eip155:80094
                - eip155:57073
                - eip155:56
                - eip155:999
                - eip155:9745
                - eip155:43114
                - eip155:747474
                - eip155:59144
                - eip155:4326
                - eip155:143
                - eip155:42793
                - eip155:4663
              description: Include only vaults with provided network(name or CAIP)
            default:
              - base
              - mainnet
              - arbitrum
              - optimism
          in: query
          name: allowedNetworks
          required: false
          description: Networks to be included (name or CAIP).
        - schema:
            type: array
            items:
              type: string
              enum:
                - mainnet
                - optimism
                - arbitrum
                - polygon
                - gnosis
                - base
                - unichain
                - swellchain
                - celo
                - worldchain
                - berachain
                - ink
                - bsc
                - hyperliquid
                - plasma
                - avalanche
                - katana
                - linea
                - mega-eth
                - monad
                - etherlink
                - robinhood
                - eip155:1
                - eip155:10
                - eip155:42161
                - eip155:137
                - eip155:100
                - eip155:8453
                - eip155:130
                - eip155:1923
                - eip155:42220
                - eip155:480
                - eip155:80094
                - eip155:57073
                - eip155:56
                - eip155:999
                - eip155:9745
                - eip155:43114
                - eip155:747474
                - eip155:59144
                - eip155:4326
                - eip155:143
                - eip155:42793
                - eip155:4663
              description: Include only vaults with provided network(name or CAIP)
          in: query
          name: disallowedNetworks
          required: false
          description: >-
            Networks to be excluded (name or CAIP). The parameter is ignored if
            "allowedNetworks" is specified.
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  itemsOnPage:
                    type: integer
                    description: Number of items on the current page
                  nextPage:
                    type: integer
                    description: Next page number
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        vaultId:
                          type: string
                          description: >-
                            Stable fixed-term market identity for API lookups
                            and links
                        address:
                          type: string
                          pattern: ^0x[a-fA-F0-9]{40}$
                          description: Address of the fixed-term market contract
                        name:
                          type: string
                          description: Name of the fixed-term opportunity
                        network:
                          type: object
                          properties:
                            name:
                              type: string
                              enum:
                                - mainnet
                                - optimism
                                - arbitrum
                                - polygon
                                - gnosis
                                - base
                                - unichain
                                - swellchain
                                - celo
                                - worldchain
                                - berachain
                                - ink
                                - bsc
                                - hyperliquid
                                - plasma
                                - avalanche
                                - katana
                                - linea
                                - mega-eth
                                - monad
                                - etherlink
                                - robinhood
                              description: Name of the network
                            chainId:
                              type: integer
                              description: Chain ID of the network
                            networkCaip:
                              type: string
                              pattern: ^eip155:\d+$
                              description: CAIP-2 of the network
                          required:
                            - name
                            - chainId
                            - networkCaip
                          additionalProperties: false
                          description: Network details of the fixed-term market
                        protocol:
                          type: object
                          properties:
                            protocolId:
                              type: string
                              description: >-
                                Lowercase protocol ID constructed from its name,
                                product, and version
                            name:
                              type: string
                              description: Name of the protocol
                            displayName:
                              type: string
                              description: Display name of the protocol
                            product:
                              type: string
                              description: Product of the protocol
                            version:
                              type: string
                              description: Version of the protocol
                            protocolUrl:
                              type: string
                              description: URL of the protocol
                            description:
                              type: string
                              description: Description of the protocol
                            protocolLogo:
                              type: string
                              description: URL of the protocol logo
                          required:
                            - protocolId
                            - name
                          additionalProperties: false
                          description: Protocol details of the fixed-term market
                        underlyingProtocol:
                          type: object
                          properties:
                            protocolId:
                              type: string
                              description: >-
                                Lowercase protocol ID constructed from its name,
                                product, and version
                            name:
                              type: string
                              description: Name of the protocol
                            displayName:
                              type: string
                              description: Display name of the protocol
                            product:
                              type: string
                              description: Product of the protocol
                            version:
                              type: string
                              description: Version of the protocol
                            protocolUrl:
                              type: string
                              description: URL of the protocol
                            description:
                              type: string
                              description: Description of the protocol
                            protocolLogo:
                              type: string
                              description: URL of the protocol logo
                          required:
                            - protocolId
                            - name
                          additionalProperties: false
                          description: Underlying protocol details of the fixed-term market
                        pt:
                          type: object
                          properties:
                            address:
                              type: string
                              pattern: ^0x[a-fA-F0-9]{40}$
                              description: Address of the asset
                            assetCaip:
                              type: string
                              pattern: >-
                                ^eip155:\d+\/(erc20:0x[0-9a-fA-F]{40}|slip44:\d+)$
                              description: CAIP-2 of the asset
                            name:
                              type: string
                              description: Name of the asset
                            symbol:
                              type: string
                              description: Symbol of the asset
                            decimals:
                              type: integer
                              description: Number of decimals of the asset
                            assetLogo:
                              type: string
                              format: uri
                              description: URL of the asset logo
                            assetPriceInUsd:
                              type: string
                              description: Price of the asset in USD
                            assetGroup:
                              type: string
                              description: >-
                                Group of the asset, e.g., ETH, USD, EURO, BTC,
                                OTHER
                          required:
                            - address
                            - assetCaip
                          additionalProperties: false
                        underlyingAsset:
                          type: object
                          properties:
                            address:
                              type: string
                              pattern: ^0x[a-fA-F0-9]{40}$
                              description: Address of the asset
                            assetCaip:
                              type: string
                              pattern: >-
                                ^eip155:\d+\/(erc20:0x[0-9a-fA-F]{40}|slip44:\d+)$
                              description: CAIP-2 of the asset
                            name:
                              type: string
                              description: Name of the asset
                            symbol:
                              type: string
                              description: Symbol of the asset
                            decimals:
                              type: integer
                              description: Number of decimals of the asset
                            assetLogo:
                              type: string
                              format: uri
                              description: URL of the asset logo
                            assetPriceInUsd:
                              type: string
                              description: Price of the asset in USD
                            assetGroup:
                              type: string
                              description: >-
                                Group of the asset, e.g., ETH, USD, EURO, BTC,
                                OTHER
                          required:
                            - address
                            - assetCaip
                          additionalProperties: false
                        accountingAsset:
                          type: object
                          properties:
                            address:
                              type: string
                              pattern: ^0x[a-fA-F0-9]{40}$
                              description: Address of the asset
                            assetCaip:
                              type: string
                              pattern: >-
                                ^eip155:\d+\/(erc20:0x[0-9a-fA-F]{40}|slip44:\d+)$
                              description: CAIP-2 of the asset
                            name:
                              type: string
                              description: Name of the asset
                            symbol:
                              type: string
                              description: Symbol of the asset
                            decimals:
                              type: integer
                              description: Number of decimals of the asset
                            assetLogo:
                              type: string
                              format: uri
                              description: URL of the asset logo
                            assetPriceInUsd:
                              type: string
                              description: Price of the asset in USD
                            assetGroup:
                              type: string
                              description: >-
                                Group of the asset, e.g., ETH, USD, EURO, BTC,
                                OTHER
                          required:
                            - address
                            - assetCaip
                          additionalProperties: false
                        fixedApy:
                          type: number
                          description: Current fixed APY in decimal form
                        expiry:
                          type: integer
                          description: UTC expiry timestamp in seconds
                        tvl:
                          type: object
                          properties:
                            usd:
                              type: string
                              description: Amount in USD
                          required:
                            - usd
                          additionalProperties: false
                          description: Total value locked in USD
                        liquidity:
                          type: object
                          properties:
                            usd:
                              type: string
                              description: Amount in USD
                          required:
                            - usd
                          additionalProperties: false
                          description: Available liquidity in USD
                      required:
                        - vaultId
                        - address
                        - name
                        - network
                        - protocol
                        - underlyingProtocol
                        - pt
                        - underlyingAsset
                        - accountingAsset
                        - fixedApy
                        - expiry
                        - tvl
                        - liquidity
                      additionalProperties: false
                      description: Array of items on the current page
                  errors:
                    type: object
                    properties:
                      unsupportedNetworks:
                        type: array
                        items:
                          type: string
                      unsupportedAssets:
                        type: array
                        items:
                          type: string
                      unsupportedProtocols:
                        type: array
                        items:
                          type: string
                    required:
                      - unsupportedNetworks
                      - unsupportedAssets
                      - unsupportedProtocols
                    additionalProperties: false
                required:
                  - itemsOnPage
                  - data
                  - errors
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      statusCode:
                        type: number
                      error:
                        type: string
                        enum:
                          - Bad Request
                      message:
                        type: string
                      errorId:
                        type: string
                    required:
                      - statusCode
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: string
                        enum:
                          - Unauthorized
                      message:
                        type: string
                        enum:
                          - >-
                            An API key is required to access this service. Sign
                            up at https://portal.vaults.fyi/signup to generate a
                            key. We offer a Pay-As-You-Go plan so you only pay
                            for what you use, with no commitments.
                      errorId:
                        type: string
                    required:
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '402':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      x402Version:
                        anyOf:
                          - type: number
                          - type: string
                      error:
                        type: string
                      resource:
                        type: object
                        properties:
                          url:
                            type: string
                          description:
                            type: string
                          mimeType:
                            type: string
                          serviceName:
                            type: string
                          tags:
                            type: array
                            items:
                              type: string
                          iconUrl:
                            type: string
                        required:
                          - url
                        additionalProperties: false
                      accepts:
                        anyOf:
                          - type: array
                            items:
                              type: object
                              properties:
                                scheme:
                                  type: string
                                  enum:
                                    - exact
                                network:
                                  type: string
                                amount:
                                  type: string
                                payTo:
                                  type: string
                                maxTimeoutSeconds:
                                  type: number
                                asset:
                                  type: string
                                extra:
                                  type: object
                                  properties:
                                    name:
                                      type: string
                                    version:
                                      type: string
                                  required:
                                    - name
                                    - version
                                  additionalProperties: false
                              required:
                                - scheme
                                - network
                                - amount
                                - payTo
                                - maxTimeoutSeconds
                                - asset
                              additionalProperties: false
                          - {}
                      extensions:
                        type: object
                        additionalProperties: {}
                    required:
                      - x402Version
                      - resource
                    additionalProperties: false
                  - {}
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: string
                        enum:
                          - Forbidden
                      message:
                        type: string
                        enum:
                          - >-
                            This API key has exhausted its available credits. To
                            resume service, please visit
                            https://portal.vaults.fyi/signup to top-up your
                            credits
                      errorId:
                        type: string
                    required:
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - Not Found
                  message:
                    type: string
                required:
                  - error
                  - message
                additionalProperties: false
        '408':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      message:
                        type: string
                      errorId:
                        type: string
                    additionalProperties: false
                  - {}
        '422':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      statusCode:
                        type: number
                      error:
                        type: string
                        enum:
                          - Unprocessable Entity
                      message:
                        type: string
                      errorId:
                        type: string
                    required:
                      - statusCode
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: string
                        enum:
                          - Internal Server Error
                      message:
                        type: string
                      errorId:
                        type: string
                    required:
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '503':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      statusCode:
                        type: number
                      error:
                        type: string
                        enum:
                          - Service Unavailable
                      message:
                        type: string
                      errorId:
                        type: string
                    required:
                      - statusCode
                      - error
                      - message
                    additionalProperties: false
                  - {}
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: x-api-key
      in: header

````